$(document).ready(function () {
  var navListItems = $("div.setup-panel div a"),
    allWells = $(".setup-content"),
    allNextBtn = $(".nextBtn"),
    allPrevBtn = $(".prevBtn");

  allWells.hide();

  navListItems.click(function (e) {
    e.preventDefault();
    var $target = $($(this).attr("href")),
      $item = $(this);

    if (!$item.hasClass("disabled")) {
      navListItems.removeClass("btn-primary").addClass("btn-default");
      $item.addClass("btn-primary");
      allWells.hide();
      $target.show();
      $target.find("input:eq(0)").focus();
    }
  });

  allPrevBtn.click(function () {
    var curStep = $(this).closest(".setup-content"),
      curStepBtn = curStep.attr("id"),
      prevStepWizard = $('div.setup-panel div a[href="#' + curStepBtn + '"]')
        .parent()
        .prev()
        .children("a");

    prevStepWizard.removeAttr("disabled").trigger("click");
  });

  allNextBtn.click(function () {
    var curStep = $(this).closest(".setup-content"),
      curStepBtn = curStep.attr("id"),
      nextStepWizard = $('div.setup-panel div a[href="#' + curStepBtn + '"]')
        .parent()
        .next()
        .children("a"),
      curInputs = curStep.find("input[type='text'],input[type='url']"),
      isValid = true;

    $(".form-group").removeClass("has-error");
    for (var i = 0; i < curInputs.length; i++) {
      if (!curInputs[i].validity.valid) {
        isValid = false;
        $(curInputs[i]).closest(".form-group").addClass("has-error");
      }
    }

    if (isValid) nextStepWizard.removeAttr("disabled").trigger("click");
  });

  $("div.setup-panel div a.btn-primary").trigger("click");
});
// select 2
$(".select2").each(function () {
  $(this).select2({
    width: "100%               ",
    placeholder: $(this).attr("placeholder"),
    allowClear: Boolean($(this).data("allow-clear")),
  });
});

$("select#date_type").on("change", function () {
  if (this.value == "multiple") {
    $("#range_date_cont").hide();
    $("#multiple_date_cont").show();
  } else {
    $("#multiple_date_cont").hide();
    $("#range_date_cont").show();
  }
});
$("select#select_menu_types").on("change", function () {
  if (this.value == "custom") {
    $("#regular_menu_method").addClass("d-none");
    $("#custom_menu_method").removeClass("d-none");
  } else {
    $("#custom_menu_method").addClass("d-none");
    $("#regular_menu_method").removeClass("d-none");
  }
});

$("select#date_type").on("change", function () {
  if (this.value == "multiple") {
    $("#range_date_cont").hide();
    $("#multiple_date_cont").show();
  } else {
    $("#multiple_date_cont").hide();
    $("#range_date_cont").show();
  }
});
function show_menu_costing() {
  $(".gg_show").toggleClass("d-none");
  $(".gg_show_later").toggleClass("d-none");

  $("#menu_costing").toggle("slow");
}

$("input[type=radio][name=policy]").change(function () {
  if (this.value == "splidu") {
    // $("#splidu-policy-table").removeClass("d-none");
    // $("#custom-policy-table").addClass("d-none");
    $(".splidu_policy_table").removeClass("d-none");
    $(".custom_policy_table").addClass("d-none");
  } else if (this.value == "custom") {
    $(".custom_policy_table").removeClass("d-none");
    $(".splidu_policy_table").addClass("d-none");
  }
});
//
